<?php

namespace Modules\Target\Enums;


Enum TargetLengthEnum: int
{
    case PART_ONE = 1;

    case PART_TWO = 2;

    case PART_THREE = 3;

    case PART_FOUR = 4;


    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }

    public static function months($part)
    {
        switch ($part) {
            case self::PART_ONE->value:
                return [1,2,3];
                break;

            case self::PART_TWO->value:
                return [4,5,6];
                break;

            case self::PART_THREE->value:
                return [7,8,9];
                break;

            case self::PART_FOUR->value:
                return [10,11,12];
                break;

            default:
                return [];
                break;
        }
    }
}